Status: Feedback

Priority: High

Assignee: Alexander Bruy

Category: Processing/Core

Affected QGIS version:3.7(master) Regression?: Yes

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 29862

Description

Traceback (most recent call last):

  File "/usr/share/qgis/python/plugins/processing/gui/wrappers.py", line 212, in widgetValue

    return self.value()

  File "/usr/share/qgis/python/plugins/processing/gui/wrappers.py", line 1348, in value

    return self.widget.value()

AttributeError: 'BatchInputSelectionPanel' object has no attribute 'value'

after that the GUI opens but is not possible to select inputs already loaded in the project, it only allows to select them from file system, but

then for each layer the same error is thrown.

History

#1 - 2019-05-14 02:42 PM - Alexander Bruy

- Assignee set to Alexander Bruy

- Status changed from Open to Feedback

I can't reproduce error it with self-compiled master. Can you try to remove Python cache files in the Processing directory inside QGIS installation?

Issue with selecting only from file system should be fixed in commit:5844a0fc90.

#2 - 2019-05-17 08:05 PM - Giovanni Manghi

I updated to the latest master available in the ubuntu nightly repo, and cleaned everything qgis releated in my ~ but still get the same error.

#3 - 2019-05-23 09:20 AM - Alexander Bruy

I can not reproduce it anymore with master. Please remove python cache in the Processing directory, e.g /usr/share/qgis/python/plugins/processing

#4 - 2019-05-23 11:39 AM - Giovanni Manghi

Alexander Bruy wrote:

I can not reproduce it anymore with master. Please remove python cache in the Processing directory, e.g /usr/share/qgis/python/plugins/processing
Hi Alex, I completely removed /use/share/qgis and reinstalled master from the nightly repo, still the same error. Code revision is 284f5d5 maybe is just too

old and does not contain the fix?
